Subject: Re: [RFC PATCH 10/10] selftests: qdiscs: Add test coverage for ETS Qdisc

From: Roman Mashak <[email-masked]>
Date: Wed, 20 Nov 2019 16:22:15 -0500

Petr Machata <[email-masked]> writes:

> Roman Mashak <[email-masked]> writes:
>
>> Petr Machata <[email-masked]> writes:
>>
>>> Add TDC coverage for the new ETS Qdisc.
>>>
>>
>> It would be good to have tests for upper bound limits of qdisc
>> parameters.
>
> All right. I can think of "bands 16", and then "quantum $(((1 << 32) -
> 1))", but I'm not sure the latter is very useful. Did you have anything
> else in mind?

I think, any test that would validate the user's input of parameters
would suffice, e.g. min/max acceptable values, range of values and
such.